Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.cheatsheets
Interface ICheatSheetManager

public interface ICheatSheetManager

Manages the running of a cheat sheet.

Each cheat sheet that is opened in the UI is assigned its own cheat sheet manager, which stays with it until the cheat sheet is completed (or restarted). The cheat sheet manager is passed as a parameter to cheat sheet-aware actions which implement `ICheatSheetAction`. The manager carries arbitrary key-value data (strings) for the lifetime of a cheat sheet, and can be accessed via `getData(String)`and `setData(String, String)`. If the workbench is shut down while the cheat sheet is in progress, this data will generally be saved and later restored when the workbench is restarted and cheat sheet is resumed. The manager also supports a `CheatSheetListener`(specified via the "listener" attribute of the "cheatsheet" element in the cheat sheet content file), which is kept informed of life cycle events over the course of the cheat sheet's life time.

This interface is not intended to be implemented by clients.

Since:
  3.0

Method Summary
`String` | `getCheatSheetID()` Returns the id of the cheat sheet managed by this manager.
`String` | `getData(String key)` Returns the data value associated with the given key.
`void` | `setData(String key, String data)` Sets the data value associated with the given key.

Method Detail

### getCheatSheetID

    public String getCheatSheetID()

  Returns the id of the cheat sheet managed by this manager.

  Returns:
    the cheat sheet id

### getData

    public String getData(String key)

  Returns the data value associated with the given key.

  Parameters:
    `key` - the key
  Returns:
    the string data associated with the key, or `null` none
  Throws:
    `IllegalArgumentException` - if `key` is `null`

### setData

    public void setData(String key,
                        String data)

  Sets the data value associated with the given key.

  Data associated with a cheat sheet manager is remembered for the life of the manager. All data is discarded when the cheat sheet is completed (or restarted).

  Parameters:
    `key` - the key
    `data` - the string data associated with the key, or `null` to remove
  Throws:
    `IllegalArgumentException` - if `key` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.